#ifndef TMHistogrammingFastorMissingEq_H
#define TMHistogrammingFastorMissingEq_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingFastorMissingEq : public TMHistogramming {
 public:
  TMHistogrammingFastorMissingEq(UInt_t eq);
  virtual ~TMHistogrammingFastorMissingEq();
  
  virtual void ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);
  virtual void EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual void ResetHitChip();
  virtual void ResetCounters();

 protected:
  UInt_t   fEq;
  Bool_t   fHitChip[6][10];
  ULong_t  fExpected[6][10];
  ULong_t  fActual[6][10];
  TH1F     *fTheHisto;

};

#endif
